﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class UpdateCompanyDto : EntityDto
    {
        public string CompanyName { get; set; }

        public string CRNumber { get; set; } //Commercial Registration
        public string? UserId { get; set; }
        public string? PhoneNumber { get; set; }
        public string? Address { get; set; }
        public string? Email { get; set; }
        public long? CountryId { get; set; }
        public long? CityId { get; set; }
        public string? CityName { get; set; }
        public string? PostalCode { get; set; }
        public string? CountryName { get; set; }
        public UserTypeEnum? UserType { get; set; }
        public CompanyUserDto? CompanyUser { get; set; }
        public AttachmentDto? ProfileImage { get; set; }
        public AttachmentDto? CommercialRegAttach { get; set; }
        public AttachmentDto? TaxDeclarationAttach { get; set; }
        public AttachmentDto? PassportAttach { get; set; }
        public AttachmentDto? ExperienceCertificateAttach { get; set; }
        public AttachmentDto? IdAttach { get; set; }
        public string? CreateUser { get; set; }
        public bool IsSuspended { get; set; }


    }
}
